# DataExchange
TKSTEP209
StepElement

# StepElement_CurveElementPurpose Class Reference

Representation of STEP SELECT type CurveElementPurpose
.

`#include <StepElement_CurveElementPurpose.hxx>`

Inheritance diagram for StepElement_CurveElementPurpose:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_CurveElementPurpose ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of CurveElementPurpose select type return 0 .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a items of select member CurveElementPurposeMember 1 -> EnumeratedCurveElementPurpose 2 -> ApplicationDefinedElementPurpose 0 else .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a new select member the type CurveElementPurposeMember .
Standard_EXPORT void | SetEnumeratedCurveElementPurpose (const StepElement_EnumeratedCurveElementPurpose aVal)
| Set Value for EnumeratedCurveElementPurpose .
Standard_EXPORT StepElement_EnumeratedCurveElementPurpose | EnumeratedCurveElementPurpose () const
| Returns Value as EnumeratedCurveElementPurpose (or Null if another type) .
Standard_EXPORT void | SetApplicationDefinedElementPurpose (const Handle(TCollection_HAsciiString)&aVal)
| Set Value for ApplicationDefinedElementPurpose .
Standard_EXPORT Handle_TCollection_HAsciiString | ApplicationDefinedElementPurpose () const
| Returns Value as ApplicationDefinedElementPurpose (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_CurveElementPurpose::StepElement_CurveElementPurpose | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_CurveElementPurpose::ApplicationDefinedElementPurpose | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepElement_CurveElementPurpose::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepElement_CurveElementPurpose::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT StepElement_EnumeratedCurveElementPurpose StepElement_CurveElementPurpose::EnumeratedCurveElementPurpose | ( |  | ) | const

virtual Standard_EXPORT Handle_StepData_SelectMember StepElement_CurveElementPurpose::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepElement_CurveElementPurpose::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_CurveElementPurpose::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_CurveElementPurpose::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT void StepElement_CurveElementPurpose::SetApplicationDefinedElementPurpose | ( | const Handle(TCollection_HAsciiString)& | aVal | ) |

Standard_EXPORT void StepElement_CurveElementPurpose::SetEnumeratedCurveElementPurpose | ( | const StepElement_EnumeratedCurveElementPurpose | aVal | ) |

The documentation for this class was generated from the following file:

- StepElement_CurveElementPurpose.hxx